attribute highp vec4  Position;
attribute highp vec4  Color;

uniform mediump vec4  ScreenSize;

varying lowp vec4  VertexColor;

void main()
{
	gl_Position = vec4( Position.xy, 0.0, 1.0 );

	gl_Position.xy *= ScreenSize.zw;
	gl_Position.xy *= 2.0;
	gl_Position.xy += vec2(-1,1);
	
	VertexColor = Color;
}
