
uniform sampler2D  sBaseTex;

uniform mediump float AlphaTestRef;

varying lowp vec4  VertexColor;
varying mediump vec2  TexCoord;

void main()
{
	lowp vec4 texColor = texture2D(sBaseTex, TexCoord) * VertexColor;

	if ( texColor.a <= AlphaTestRef )
	{
		discard;
	}

	gl_FragColor = texColor;
}