uniform sampler2D  FontSampler;

varying lowp vec4  VertexColor;
varying mediump vec2  TexCoord;

void main()
{
	lowp vec4 texColor = texture2D(FontSampler, TexCoord);
	gl_FragColor.rgb = VertexColor.rgb;
	gl_FragColor.a = texColor.a*VertexColor.a;
}
