uniform sampler2D  sBaseTex;

uniform mediump float AlphaTestRef;

varying mediump vec2  TexCoord;

void main()
{
	mediump vec4 color = texture2D(sBaseTex, TexCoord);
	if ( color.a <= AlphaTestRef )
	{
		discard;
	}
	gl_FragColor = color;
}
