
attribute highp vec4	Position;

attribute highp vec2	UV;
attribute highp vec4	Color;

uniform highp mat4	VPMat;

varying lowp vec4		VertexColor;
varying mediump vec2	TexCoord;

void main()
{
	highp vec4 pos = Position;

	gl_Position = VPMat * pos;

	TexCoord = UV;

	VertexColor = Color;
}
