attribute highp vec4  Position;
attribute highp vec2  UV;
attribute highp vec4  Color;

uniform mediump vec4  UIResolution;

varying lowp vec4  VertexColor;
varying mediump vec2  TexCoord;

void main()
{
	gl_Position = vec4( Position.xy, 0.0, 1.0 );

	gl_Position.xy *= UIResolution.zw;
	gl_Position.xy *= 2.0;
	gl_Position.xy += vec2(-1,1);
	
	TexCoord = vec2(UV.x,1.0-UV.y);

	VertexColor = Color;
}
