attribute highp vec4  Position;
attribute highp vec2  UV;
attribute highp vec4  Color;

uniform mediump mat4  WVPMat;
uniform mediump vec4  MaterialColor;

varying mediump vec2  TexCoord;
varying lowp vec4  VertexColor;

void main()
{
	gl_Position = WVPMat * Position;

	VertexColor = Color * MaterialColor;
	
	TexCoord = UV;
}
